TULISAN - Feature #3458

[Job] Release Stock Allocation & Auto Cancel Document
02/28/2025 10:32 AM - Kezia Pawitra Yulianti

Status: Closed Start date: 02/28/2025
Priority: High Due date: 03/04/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

Dear Azid,

minta tolong di buatkan :

- Job dengan ketentuan setiap jam 01.00 dilakukan release stock allocation untuk semua Sales Order yg berstatus draft dan
perubahan status otomatis menjadi cancel

- Doc Sales Order (Doc Type SORD) untuk perubahan status ada di Tabel Sales Header dgn tabel PTRSALESHEADER (yg
sbimnya status adalah 7 di rubah menjadi 9 sesuai yg ad di tabel PCMBSSALESDOCSTATUS

- Untuk proses release stock allocation cek dl d tabel PTRALLOCATION, lalu kembalikan quantity dr material yg di release ke dalam
tabel PMDMATO0004 (sesuai material id nya) yg statusnya 01 di tabel PCMFILOCHECKTABLESTOCK.

haykal n Yomma, tolong koreksi kalau ada yg kurang sesuai atau msih ada yg belum di masukan ya
Tks

History

#1 - 02/28/2025 10:32 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 02/28/2025 10:46 AM - Tri Rizqiaty

Correction :

- stock alocate bukan ditbl PTRALLOCATION

- stock alocate ada ditbl PMDMATO0004 dengan stockstatus '0004' dan field SORDID/DocIDRef sesuai DocNo dr PTRSALESHEADER

- lalu delete data alocate tsb, setelahnya tambahkan Quantity dr data alocate ke data dgn stockstatus '0001' sesuai dengan companyid &
warehousenya

#3 - 02/28/2025 10:56 AM - Kezia Pawitra Yulianti

oke thanks yoms koreksinya

#4 - 03/03/2025 02:09 PM - Kezia Pawitra Yulianti

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

#5 - 03/04/2025 12:28 PM - M Azid Wahyudi

- File QueryJobTulisanAllocate.sql added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , tolong buatkan job dengan kententuan di atas berikut ini file querynya

makasih

#6 - 03/05/2025 10:06 AM - Muhammad Bintar
- File clipboard-202503051005-jy8dj.png added

- Assignee changed from Muhammad Bintar to haykal haykal

okeh sudah di buatkan query job nya. targeting db nya ke tulisan dev.
- Status changed from QA Test to Closed
